---
extracts:
  - name: "CA10__direction__c"
    value: 
      FIELD:
        path: "CA10__direction__c"
        undeterminedIf:
         isEmpty: "Direction is not populated yet."
  - name: "CA10__sourceRanges__c"
    value: 
      FIELD:
        path: "CA10__sourceRanges__c"
        undeterminedIf:
          isEmpty: "Source ranges are not populated yet."
  - name: "CA10__allowedProtocolsPorts__c"
    value: 
      FIELD:
        path: "CA10__allowedProtocolsPorts__c"
        undeterminedIf:
          isEmpty: "Allowed protocol ports are not populated yet."
# 22 port variants: tcp: 22 / tcp: 22, 80 / tcp: 1-65535
  - name: "CA10__allowedProtocolsPortsJson__c"
    value:
      JSON_FROM:
        arg:
          FIELD: 
            path: "CA10__allowedProtocolsPortsJson__c"
            returnType: BYTES
        undeterminedIf:
          isInvalid: "Allowed protocol ports JSON is invalid."
          isEmpty: "Allowed protocol ports JSON is empty."
  - name: "CA10__deniedProtocolsPortsJson__c"
    value:
      JSON_FROM:
        arg:
          FIELD: 
            path: "CA10__deniedProtocolsPortsJson__c"
            returnType: BYTES
        undeterminedIf:
          isInvalid: "Denied protocol ports JSON is invalid."
          isEmpty: "Denied protocol ports JSON is empty."


